/*
 * File: Loglevels.h
 *
 * Description: Log levels used in the code
 *
 * Author: UI-AI 3D Robocup Soccer Team <ui_3dsoccer@eng.ui.ac.ir>, (c) 2007
 *
 */

/*
    Copyright (C) 2009  UI-AI 3D Team

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef LOGLEVELS_H_
#define LOGLEVELS_H_

#include <string>
#include "Logger.h"

#define FUNCTION_LOG_HEADER std::string("\n-- ") + __PRETTY_FUNCTION__ + " --"

enum LogLevels
{
    LOG_DEBUG,
    LOG_WARNING,
    LOG_ERROR,
    LOG_DEBUG_SENSE,
    LOG_CONNECTION,
    LOG_ACTIONPARSER,
    LOG_WALK,
    LOG_ACTION_MANAGER,
    LOG_DEBUG_STREADER,
    LOG_TRANSITION_DATA,
    LOG_ACTION,
    LOG_HIGHLEVEL,
    LOG_VISION,
    LOG_JOINT_CONTROLLER,
    LOG_FRPCHECK,
    LOG_TEST,
    LOG_HRH_WHICH
};

extern Logger Log;

#endif /*LOGLEVELS_H_*/
